SystemOrganization addCategory: #ConfigurationOfPythonParser!

ConfigurationOf subclass: #ConfigurationOfPythonParser
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfPythonParser'!

!ConfigurationOfPythonParser methodsFor: 'baselines' stamp: 'DamienCassou 6/27/2014 11:05'!
baseline100: spec
	<version: '1.0.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec project: 'SmaCC' with: [
				spec
					className: #ConfigurationOfSmaCC;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ].
		spec package: #'SmaCC-Python' with: [
				spec requires: #('SmaCC' ). ]. ].
! !

!ConfigurationOfPythonParser methodsFor: 'symbolic versions' stamp: 'DamienCassou 6/27/2014 11:08'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '2.0.0-github'.
! !

!ConfigurationOfPythonParser methodsFor: 'symbolic versions' stamp: 'DamienCassou 6/27/2014 11:06'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0.0'.
! !

!ConfigurationOfPythonParser methodsFor: 'versions' stamp: 'DamienCassou 6/27/2014 11:35'!
version100: spec
	<version: '1.0.0' imports: #('1.0.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.0'.
		spec author: 'DamienCassou'.
		spec timestamp: '6/27/2014 11:06'.
		spec project: 'SmaCC' with: '2.0.3-pre'.
		spec package: #'SmaCC-Python' with: 'SmaCC-Python-DamienCassou.31'. ].
! !

!ConfigurationOfPythonParser methodsFor: 'versions' stamp: 'DamienCassou 6/27/2014 11:08'!
version200github: spec
	<version: '2.0.0-github'>
	spec
		for: #common
		do: [ 
			spec blessing: #development.
			spec
				baseline: 'PythonParser' with: [ spec repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main' ];
				import: 'PythonParser' ]! !
